package eu.ztsh.wymiana.web.model;

import eu.ztsh.wymiana.validation.Adult;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;

@Builder
public record UserCreateRequest(
    @NotNull String name,
    @NotNull String surname,
    @Adult String pesel,
    @Min(0) double pln) {

}
